<template>
  <v-row justify="center" align="center" class="pt-10">
    <v-col v-if="participants.length === 0" md="12" class="text-center">
      <p class="body-1">
        Looks like you don't have any participants yet
      </p>
      <invite-dialog />
    </v-col>
    <v-col v-else md="6" sm="12" class="text-center">
      <v-card>
        <v-list>
          <v-list-item
            v-for="(participant, i) in participants"
            :key="i"
            @click="openUser"
          >
            <v-list-item-avatar>
              <v-img
                v-if="participant.imageUrl"
                :src="participant.imageUrl"
              ></v-img>
              <v-skeleton-loader
                loading
                v-else
                type="avatar"
              ></v-skeleton-loader>
            </v-list-item-avatar>
            <v-list-item-content>
              <v-list-item-title
                v-text="participant.firstName + ' ' + participant.lastName"
              ></v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-list>
      </v-card>
      <invite-dialog />
    </v-col>
  </v-row>
</template>

<script>
import InviteDialog from './InviteDialog'

export default {
  name: 'Participants',
  props: {
    participants: {
      type: Object
    }
  },
  components: {
    InviteDialog
  },
  data: () => ({
    par: {}
  }),
  methods: {
    openUser() {}
  }
}
</script>
